
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Implementação #2363

MZ list of labels Portuguese

12/09/2016 10:53 AM - Oleksii Kurasov

Status: Rejected Start date: 12/09/2016

Priority: Immediate Due date: 12/22/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

History

#1 - 12/16/2016 11:11 AM - Oleksii Kurasov

- Due date changed from 12/12/2016 to 12/19/2016

#2 - 12/21/2016 05:02 AM - Oleksii Kurasov

- Due date changed from 12/19/2016 to 12/22/2016

#3 - 01/16/2017 06:09 AM - Oleksii Kurasov

- Status changed from New to Rejected

Not needed yet
